### Functions

## Copies account profiles to other server profiles.

    copyAccountProfiles(array $accountProfiles, String $scope, array $dests) : boolean

### Parameters

#### $accountProfiles

`array`

account profile names

#### $scope

`String`

account scope

#### $dests

`array`

destinations

### Returns

`boolean`operation succeeded

## Deletes an account profile

    delAccountProfile(string $file, string $scope) : boolean

### Parameters

#### $file

`string`

name of profile (Without .<scope> extension)

#### $scope

`string`

account type

### Returns

`boolean`true if profile was deleted

## Returns an array of string with all available profiles for the given account type

    getAccountProfiles(string $scope, string $profile) : array

### Parameters

#### $scope

`string`

account type

#### $profile

`string`

server profile name

### Returns

`array`profile names

## Loads an profile of the given account type

    loadAccountProfile(string $profile, string $scope) : array

### Parameters

#### $profile

`string`

name of the profile (without .<scope> extension)

#### $scope

`string`

account type

### Returns

`array`hash array (attribute => value)

## Saves an hash array (attribute => value) to an account profile

    saveAccountProfile(array $attributes, string $profile, string $scope) : boolean

file is created, if needed

### Parameters

#### $attributes

`array`

hash array (attribute => value)

#### $profile

`string`

name of the account profile (without .<scope> extension)

#### $scope

`string`

account type

### Returns

`boolean`true, if saving succeeded